package com.chelvc.framework.base.context;

import com.chelvc.framework.common.model.Enumerable;
import lombok.Getter;

/**
 * 使用类别枚举
 *
 * @author Woody
 * @date 2023/9/10
 */
@Getter
public enum Using implements Enumerable {
    /**
     * 历史首次使用
     */
    NEWLY("历史首次使用"),

    /**
     * 当日首次使用
     */
    DAILY("当日首次使用"),

    /**
     * 常规使用
     */
    NORMAL("常规使用");

    /**
     * 类别描述
     */
    private final String description;

    Using(String description) {
        this.description = description;
    }
}
