package com.chelvc.framework.download.config;

import com.chelvc.framework.download.DownloadHandler;
import com.chelvc.framework.download.support.DefaultDownloadHandler;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.core.RedisTemplate;

/**
 * 文件下载配置
 *
 * @author Woody
 * @date 2024/5/10
 */
@Configuration
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class DownloadConfigurer {
    private final DownloadProperties properties;
    private final RedisTemplate<String, Object> redisTemplate;

    @Bean(initMethod = "initialize", destroyMethod = "destroy")
    public DownloadHandler downloadHandler() {
        return new DefaultDownloadHandler(this.properties, this.redisTemplate);
    }
}
