package com.chelvc.framework.oauth.token;

import com.chelvc.framework.base.context.SessionContextHolder;
import com.chelvc.framework.oauth.context.OAuthContextHolder;
import org.springframework.security.oauth2.core.OAuth2TokenValidatorResult;
import org.springframework.security.oauth2.jwt.Jwt;

/**
 * 会话验证器默认实现
 *
 * @author Woody
 * @date 2024/6/29
 */
public class DefaultSessionValidator implements SessionValidator {
    @Override
    public OAuth2TokenValidatorResult validate(Jwt jwt) {
        if (!OAuthContextHolder.isClient(jwt)) {
            SessionContextHolder.setSession(
                    OAuthContextHolder.getId(jwt),
                    OAuthContextHolder.getScope(jwt),
                    OAuthContextHolder.getAuthorities(jwt)
            );
        }
        return OAuth2TokenValidatorResult.success();
    }
}
