package com.chelvc.framework.security.serializer;

import java.io.IOException;
import java.util.List;

import com.chelvc.framework.security.context.SecurityContextHolder;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * 敏感字符串列表序列化处理器
 *
 * @author Woody
 * @date 2024/6/21
 */
public class SensitiveListSerializer extends JsonSerializer<List<String>> {
    @Override
    public void serialize(List<String> value, JsonGenerator generator, SerializerProvider provider)
            throws IOException {
        generator.writeObject(SecurityContextHolder.getCryptoContext().encrypt(value));
    }
}
