package com.chelvc.framework.security.serializer;

import java.io.IOException;

import com.chelvc.framework.security.context.SecurityContextHolder;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * 敏感字符串序列化处理器
 *
 * @author Woody
 * @date 2024/6/21
 */
public class SensitiveSerializer extends JsonSerializer<String> {
    @Override
    public void serialize(String value, JsonGenerator generator, SerializerProvider provider) throws IOException {
        generator.writeString(SecurityContextHolder.getCryptoContext().encrypt(value));
    }
}
